<template>
    <div>
        <payment></payment>
    </div>
</template>

<script>
    import payment from '@/components/Pay/Payment'
  export default {
    name: 'AmnestyPayment',
    components: {
      payment,
    },
    created () {

        let amount = parseFloat(this.$pdl.supplementary.amnesty.depositAmount);
        if (this.$posServices) {
            amount += parseFloat(this.$posServices.sumTotal);
        }

      this.$store.commit('SET_PAYMENT', {
        type: 'AMNESTY_PAYMENT',
        amount,
      });
    }
  }
</script>

<style scoped>

</style>
